import { Morphi as Firedev } from 'morphi';
import { IDBCrud } from 'firedev-crud';
import { WorkerProcessClass } from 'background-worker-process';
export declare class DbDaemonController extends WorkerProcessClass implements Firedev.BASE_CONTROLLER_INIT, IDBCrud {
    logArr: any[];
    pathToDb: string;
    private _data;
    get data(): any;
    get filename(): string;
    log(msg: string): void;
    private debounce;
    private saveToFileAction;
    private saveToFileDebounceAction;
    read: () => Promise<void>;
    defaultsWriteToDB(data: any): Firedev.Response<any>;
    defaults: (data: any) => {
        write: () => Promise<any>;
    };
    triggerSave(): Firedev.Response<any>;
    triggerChangeOfProject(location: string, channel: string): Firedev.Response<any>;
    setValueToDb(objPath: string, json: object): Firedev.Response<any>;
    set: (objPath: string, json: object) => {
        write: () => Promise<any>;
    };
    getValueFromDb(objPath: string): Firedev.Response<any>;
    get: (objPath: string) => {
        value: () => Promise<any>;
    };
    copyAllToWorker(data: any, pathToDb: string): Firedev.Response<any>;
    hello(): Firedev.Response;
    allprojects(): Firedev.Response<any>;
    info(): Firedev.Response<string>;
    showLog(): Firedev.Response<string>;
    wholeDb(): () => Promise<string>;
    wholeDbWithPath(pathToData: string): () => Promise<string>;
    showEntity(entityname: string): Firedev.Response<string>;
    initExampleDbData(): Promise<void>;
}
declare const _default: (port: any) => Promise<any>;
export default _default;
