import { FiredevCrud, FiredevCrudInitOptions } from 'firedev-crud';
import { Morphi as Firedev } from 'morphi';
import { BaseController, DBBaseEntity } from 'tnp-models';
import { DbDaemonController } from './deamon-controller';
export declare class FiredevCrudDeamon extends FiredevCrud {
    protected controllers: (typeof BaseController)[];
    protected entities: (typeof DBBaseEntity)[];
    private watchers;
    worker: DbDaemonController;
    context: Firedev.FrameworkContext;
    constructor(controllers?: (typeof BaseController)[], entities?: (typeof DBBaseEntity)[]);
    getPortsManager(): Promise<import("firedev-ports").PortsSet>;
    init(options?: FiredevCrudInitOptions): Promise<void>;
    private createInstance;
    initWatchingDb(): Promise<void>;
    initDeamon(recreate?: boolean): Promise<void>;
    getWokerPort(): Promise<number>;
    killWorker(): Promise<void>;
}
