// @ts-nocheck
import { FiredevCrud, FiredevCrudInitOptions } from 'firedev-crud/browser';
import { Morphi as Firedev } from 'morphi/browser';
import { BaseController, DBBaseEntity } from 'tnp-models/browser';
import { DbDaemonController } from './deamon-controller';
export declare class FiredevCrudDeamon extends FiredevCrud {
    protected controllers: (typeof BaseController)[];
    protected entities: (typeof DBBaseEntity)[];
    private watchers;
    worker: DbDaemonController;
    context: Firedev.FrameworkContext;
    constructor(controllers?: (typeof BaseController)[], entities?: (typeof DBBaseEntity)[]);
    getPortsManager(): Promise<any>;
    init(options?: FiredevCrudInitOptions): Promise<void>;
    private createInstance;
    initWatchingDb(): Promise<void>;
    initDeamon(recreate?: boolean): Promise<void>;
    getWokerPort(): Promise<any>;
    killWorker(): Promise<void>;
}